from venv import create
from Website import create_app
from flask_socketio import SocketIO
import atexit, sqlite3, sys, datetime, logging

app_data = create_app()
app = app_data["app"]

def exit_handler(): 
    sys.exit("Program sucsesfully exited")

def main():
    app_data = create_app()
    app = app_data["app"]
    socketio = app_data["socketio"]  
    atexit.register(exit_handler)  
    socketio.run(app, host='0.0.0.0', port=5000)

if __name__ == "__main__":
    main()